import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ToolbarService, LinkService, ImageService, CountService, QuickToolbarService, HtmlEditorService, MarkdownEditorService } from './richtexteditor.component';
import { RichTextEditorModule } from './richtexteditor.module';
/**
 * NgModule definition for the RichTextEditor component with providers.
 */
var RichTextEditorAllModule = /** @class */ (function () {
    function RichTextEditorAllModule() {
    }
    RichTextEditorAllModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule, RichTextEditorModule],
                    exports: [
                        RichTextEditorModule
                    ],
                    providers: [
                        ToolbarService,
                        LinkService,
                        ImageService,
                        CountService,
                        QuickToolbarService,
                        HtmlEditorService,
                        MarkdownEditorService
                    ]
                },] },
    ];
    /** @nocollapse */
    RichTextEditorAllModule.ctorParameters = function () { return []; };
    return RichTextEditorAllModule;
}());
export { RichTextEditorAllModule };
//# sourceMappingURL=richtexteditor-all.module.js.map